Name: ddd
Version: 3.3.1
Release: alt5

Summary: Graphical debugger front-end for GDB, DBX, Ladebug, JDB, Perl, Python
License: GPL
Group: Development/Other
Url: http://www.gnu.org/software/%name/
Packager: Dmitry V. Levin <ldv@altlinux.org>

# ftp://alpha.gnu.org/gnu/%name/
Source: ftp://ftp.gnu.org/gnu/%name/%name-%version.tar.bz2
Source1: ftp://ftp.gnu.org/gnu/%name/%name-%version-pics.tar.bz2
Source2: ftp://ftp.gnu.org/gnu/%name/%name-%version-html-manual.tar.gz
Source3: http://www.cs.tu-bs.de/softech/ddd/ftp/doc/vse.ps.bz2
Source4: %name.menu

Patch1: %name-3.2.92-alt-texinfo.patch
Patch2: %name-3.2.92-alt-fonts.patch
Patch3: %name-3.3.1-rh-gcc3.patch
Patch4: http://dd.cron.ru/dbg/dnld/ddd-3.3.1.patch

Requires(post): %install_info
Requires(preun): %uninstall_info
Obsoletes: ddd-static, ddd-semistatic, ddd-dynamic

BuildPreReq: python

# Automatically added by buildreq on Fri Sep 12 2003
BuildRequires: XFree86-devel XFree86-libs XFree86-utils flex gcc-c++ glibc-devel-static libiberty-devel libreadline-devel libstdc++-devel libtinfo-devel openmotif-devel tetex-dvips xpm-devel

%package doc-html
Summary: HTML documentation for %name
Group: Development/Other
Requires: %name = %version-%release

%package doc-ps
Summary: PostScript documentation for %name
Group: Development/Other
Requires: %name = %version-%release

%description
DDD is a graphical front-end for command-line debuggers such as GDB,
DBX, WDB, Ladebug, JDB, XDB, the Perl debugger, or the Python
debugger.  Besides "usual" front-end features such as viewing source
texts, DDD has become famous through its interactive graphical data
display, where data structures are displayed as graphs.

%description doc-html
HTML documentation for %name.

%description doc-ps
PostScript documentation for %name.

%prep
%setup -q -b1 -b2
chmod -R u+w .
%patch1 -p1
%patch2 -p1
%patch3 -p1 
#%patch4 -p1 
%__install -p -m644 %SOURCE3 doc/
%__rm -f doc/html/%name.html ddd/*.info*
touch ddd/ddd.info.txt

%build
# Without this hack ddd won't build.
%__install -p -m755 %_datadir/libtool/config.* .

# Hack to avoid -Werror during configure.
%__subst 's/WERROR=-Werror/WERROR=/g' ddd/configure

# Fix build via precaching configure variables.
export \
	ac_cv_lib_dnet=no \
	ac_cv_lib_dnet_dnet_ntoa=no \
	ac_cv_lib_dnet_stub_dnet_ntoa=no \
	ac_cv_header_elf_h=no \
	ac_cv_header_libelf_h=no \
	ac_cv_header_sys_elf_h=no \
	ac_cv_lib_elf_elf_version=no \
	ice_cv_external_templates=no \
	ice_cv_have_named_return_values=no \
	ac_cv_path_RSH=ssh \
	ac_cv_prog_DEBUGGER=gdb \
	ac_cv_prog_LPR=lpr \
	ac_cv_prog_XTERM=xvt \
	#

# Fix tinfo support.
find -type f -name configure -print0 |
	xargs -r0 %__subst -p 's/mytinfo/tinfo/g' configure

%configure --with-readline-libraries=yes

# Fix packager information.
cat >ddd/userinfo.C <<__EOF__
#include <stdio.h>
int main (void){ puts ("%packager"); return 0; }
__EOF__

%make_build
bzip2 -9 doc/*.ps

%install
%__mkdir_p $RPM_BUILD_ROOT%_libdir
%makeinstall
%__install -p -m755 pydb/pydb*.py $RPM_BUILD_ROOT%_bindir/
%__ln_s pydb.py $RPM_BUILD_ROOT%_bindir/pydb

%__rm -fv $RPM_BUILD_ROOT%_datadir/%name-%version/[A-Z]*
%__mkdir_p $RPM_BUILD_ROOT%_sysconfdir/X11/app-defaults
%__mv $RPM_BUILD_ROOT%_datadir/%name-%version/%name/Ddd $RPM_BUILD_ROOT%_sysconfdir/X11/app-defaults
rmdir $RPM_BUILD_ROOT%_datadir/%name-%version/%name
%__install -pD -m644 %SOURCE4 $RPM_BUILD_ROOT%_menudir/%name

%post
%install_info %name.info
%update_menus

%preun
%uninstall_info %name.info

%postun
%clean_menus

%files
%config %_sysconfdir/X11/app-defaults/*
%_bindir/*
%_datadir/%name-%version
%_mandir/man?/*
%_infodir/*.info*
%doc ANNOUNCE AUTHORS *BUGS CREDITS NEWS NICKNAMES
%doc PROBLEMS README* TIPS TODO doc/sample.dddinit

%files doc-ps
%doc doc/*.ps*

%files doc-html
%doc doc/html/*

%changelog
* Fri Sep 12 2003 Dmitry V. Levin <ldv@altlinux.org> 3.3.1-alt5
- Fixed python support (#2922).
- Updated build dependencies.

* Tue Nov 19 2002 Dmitry V. Levin <ldv@altlinux.org> 3.3.1-alt4
- Use xvt instead of xterm.
- Fix packager information.

* Mon Nov 18 2002 Dmitry V. Levin <ldv@altlinux.org> 3.3.1-alt3
- Merged RH patch for gcc-3.2 support.
- Fixed build via precaching configure variables.
- Linked with -ltinfo.
- Additional convention enforcement on patch file names.
- Packaged Python debugger.

* Fri Apr 12 2002 Dmitry V. Levin <ldv@alt-linux.org> 3.3.1-alt2
- Rebuilt with openmotif-2.2.2.

* Mon Oct 15 2001 Dmitry V. Levin <ldv@alt-linux.org> 3.3.1-alt1
- 3.3.1

* Mon Feb 05 2001 Dmitry V. Levin <ldv@fandra.org> 3.3-ipl1mdk
- 3.3

* Wed Jan 24 2001 Dmitry V. Levin <ldv@fandra.org> 3.2.98-ipl2mdk
- Create tmpfiles in more secure way.

* Thu Jan 18 2001 Dmitry V. Levin <ldv@fandra.org> 3.2.98-ipl1mdk
- 3.2.98

* Thu Jan 11 2001 Dmitry V. Levin <ldv@fandra.org> 3.2.95-ipl1mdk
- 3.2.95

* Sat Dec 30 2000 Dmitry V. Levin <ldv@fandra.org> 3.2.93-ipl2mdk
- Updated html documentation.

* Wed Dec 27 2000 Dmitry V. Levin <ldv@fandra.org> 3.2.93-ipl1mdk
- 3.2.93
- Added font patch (from AEN).
- Added menu entry.

* Mon Dec 04 2000 Dmitry V. Levin <ldv@fandra.org> 3.2.92-ipl1mdk
- 3.2.92
- FHSification.
- Fixed texinfo documentation.

* Thu Jun 22 2000 Dmitry V. Levin <ldv@fandra.org>
- 3.2.90
- Build with external readline libraries.
- Made separate doc-html and doc-ps packages.

* Mon May 22 2000 AEN <aen@logic.ru>
- build for RE with new spec

* Wed Nov 3  1999 Mirko Streckenbach <strecken@fmi.uni-passau.de>
- Initial skeleton, based on the .specs from gnome-libs-1.0.17 and
  redhat 6.1 tar-1.13.11
